Subject: gcc-3.3.3 stage1 build error, undefined reference to `___do_sjlj_init'
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 31 May 2004 21:08:40 +0200

Hello Danny,

I'm getting an error when building cc1.exe with the bootstrap compiler:

stage1/xgcc.exe -Bstage1/ -B/usr/i686-pc-cygwin/bin/   -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H  -o cc1.exe \
        c-parse.o c-lang.o c-pretty-print.o attribs.o c-errors.o c-lex.o c-pragma.o c-decl.o c-typeck.o c-convert.o c-aux-info.o c-common.o c-opts.o c-format.o c-semantics.o c-objc-common.o c-dump.o libcpp.a cygwin2.o main.o libbackend.a -lintl  -liconv  ../libiberty/libiberty.a
stage1/crtend.o(.text+0x5):crtstuff.c: undefined reference to `___do_sjlj_init'
collect2: ld returned 1 exit status
make[2]: *** [cc1.exe] Error 1
make[2]: Leaving directory `/gcc/gcc-3.3.3/gcc-3.3.3-1/.build/gcc'
make[1]: *** [stage2_build] Error 2
make[1]: Leaving directory `/gcc/gcc-3.3.3/gcc-3.3.3-1/.build/gcc'
make: *** [bootstrap] Error 2

And a general question, where is __USING_SJLJ__EXCEPTIONS__ defined at
all?  I only see a definition USING_SJLJ__EXCEPTIONS in except.h,
however it seems to work since I got this error.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/